Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:29 2009

## Asterisk developer's documentation

# ast_exten Struct Reference

ast_exten: An extension The dialplan is saved as a linked list with each context having it's own linked list of extensions - one item per priority. More...

Collaboration diagram for ast_exten:

[legend]

## Data Fields

char * | app
char * | cidmatch
void * | data
void(* | datad )(void *)
char * | exten
char * | label
int | matchcid
struct ast_exten * | next
struct ast_context * | parent
struct ast_exten * | peer
int | priority
const char * | registrar
char | stuff [0]

## Detailed Description

ast_exten: An extension The dialplan is saved as a linked list with each context having it's own linked list of extensions - one item per priority.

Definition at line 110 of file pbx.c.

## Field Documentation

char* app

Definition at line 117 of file pbx.c.

Referenced by ast_add_extension2(), ast_get_extension_app(), and pbx_extension_helper().

char* cidmatch

Definition at line 113 of file pbx.c.

Referenced by ast_add_extension2(), ast_get_extension_cidmatch(), handle_context_add_extension(), and pbx_find_extension().

void* data

Definition at line 118 of file pbx.c.

Referenced by ast_add_extension2(), ast_context_remove_extension2(), ast_get_extension_app_data(), destroy_exten(), and pbx_substitute_variables().

void(* datad)(void *)

Referenced by ast_add_extension2(), ast_context_remove_extension2(), and destroy_exten().

char* exten

Definition at line 111 of file pbx.c.

Referenced by ast_add_extension2(), ast_context_remove_extension2(), ast_get_extension_name(), ast_hint_state_changed(), ast_merge_contexts_and_delete(), ast_remove_hint(), and pbx_find_extension().

char* label

Definition at line 115 of file pbx.c.

Referenced by ast_add_extension2(), ast_get_extension_label(), handle_save_dialplan(), and pbx_find_extension().

int matchcid

Definition at line 112 of file pbx.c.

Referenced by ast_add_extension2(), ast_get_extension_matchcid(), and pbx_find_extension().

struct ast_exten* next`[read]`

Definition at line 122 of file pbx.c.

Referenced by __ast_context_destroy(), ast_add_extension2(), ast_context_remove_extension2(), ast_walk_context_extensions(), and pbx_find_extension().

struct ast_context* parent`[read]`

Definition at line 116 of file pbx.c.

Referenced by ast_add_extension2(), ast_hint_state_changed(), ast_merge_contexts_and_delete(), and ast_remove_hint().

struct ast_exten* peer`[read]`

Definition at line 120 of file pbx.c.

Referenced by __ast_context_destroy(), ast_add_extension2(), ast_context_remove_extension2(), ast_walk_extension_priorities(), and pbx_find_extension().

int priority

Definition at line 114 of file pbx.c.

Referenced by ast_add_extension2(), ast_context_remove_extension2(), ast_get_extension_priority(), complete_context_remove_extension(), destroy_exten(), pbx_extension_helper(), and pbx_find_extension().

const char* registrar

Definition at line 121 of file pbx.c.

Referenced by ast_add_extension2(), ast_context_remove_extension2(), and ast_get_extension_registrar().

char stuff[0]

Definition at line 123 of file pbx.c.

Referenced by ast_add_extension2().

The documentation for this struct was generated from the following file:

- pbx.c